{{ define "content" }}

<div class="container">
  
  <div class="karmen-info-header">
    <div class="row">
      <div class="col-md-8">
	<h1>Gruppi ({{len .Data}})</h1>
      </div>
      <div class="col-md-4">
	<a href="/groups/add/?{{query "tpl_layout" "base" "tpl_content" "groups_add_update"}}" class="btn btn-primary float-right">
	  <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>
	  Crea nuovo gruppo
	</a>
      </div>
    </div>
  </div>

  <div class="input-group" style="margin-bottom: 20px">
    <span class="input-group-addon" id="search-query"><span class="glyphicon glyphicon-search"></span></span>
    <input type="text" id="myInput" class="form-control" aria-describedby="search-query">
  </div>
  
  {{if not .Data}}
  <p>Non c'è alcun elemento da visualizzare</p>
  {{else}}
  <div class="list-group" id="myUL">
    {{range $group := .Data}}
    <a class="list-group-item list-group-item-action" href="/groups/{{$group.ID}}?{{query "tpl_layout" "base" "tpl_content" "groups_show"}}">
      <span class="fa fa-users"></span>
      {{$group.Name}}
      <div class="text-right">
 	{{range $teacher := $group.Teachers}}
	<small>{{$teacher.Surname}}</small>
	{{end}}
      </div>
    </a>
    {{end}}
  </div>
  {{end}}
</div>
  
{{ end }}
