#!/bin/bash

diskFree=$(df -h /dev/sda1 | awk 'NR>1{print $4}')
value="${diskFree::-1}"

if (( value < 3 )); then
    docker image prune -a -f
fi

while inotifywait -r -e modify ./; do
  docker-compose -f compose/karmen/docker-compose.yml down
  docker-compose -f compose/karmen/docker-compose.yml up --build -d
done
