{{ define "content" }}

<div class="container">

  <nav aria-label="breadcrumb">
  <ol class="breadcrumb">
    <li class="breadcrumb-item"><a href="/groups?{{query "tpl_layout" "base" "tpl_content" "groups"}}">Gruppi</a></li>
    <li class="breadcrumb-item active"><a href="#">{{.Data.Name}}</a></li>
  </ol>
  </nav>

  <div class="karmen-info-header">
    <div class="row">
      <div class="col-md-8">
	<h1>{{.Data.Name}}</h1>
      </div>
      <div class="col-md-4">
	<div class="btn-group float-right" role="group">
	  <a href="/groups/add/?{{query "tpl_layout" "base" "tpl_content" "groups_add_update"}}" class="btn btn-success">
	    <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
	    Crea
	  </a>
	  <a href="/groups/{{.Data.ID}}/update?{{query "tpl_layout" "base" "tpl_content" "groups_add_update" "update" "true"}}"  class="btn btn-primary">
	    <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
	    Modifica
	  </a>
	  <button href="/groups/{{.Data.ID}}/delete"
		  data-url="/groups/{{.Data.ID}}/delete"
		  class="btn btn-danger karmen-ajax-delete">
	    <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
	    Elimina
	  </button>
	</div>
      </div>
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12">
      
      <h2 class="karmen-relation-header">Docenti associati al gruppo</h2>
      {{if .Data.Teachers}}
      <div class="list-group" id="students_list_group">
	{{range $teacher := .Data.Teachers}}
	<a href="/teachers/{{$teacher.ID}}?{{query "tpl_layout" "base" "tpl_content" "teachers_show"}}" class="list-group-item list-group-item-action">
	  <span class="fa fa-user"></span>
	  {{$teacher.CompleteName}}
	  {{end}}
	  </a>
      </div>
      {{else}}
      <p>Al gruppo non è associato alcun docente. Clicca <a href="/groups/{{.Data.ID}}/update?{{query "tpl_layout" "base" "tpl_content" "groups_add_update"}}">qui</a> per modificare questo gruppo.</p>
      {{end}}
    </div>
    
  </div>

</div>    

{{ end }}
